<?php

/**
 * @file
 * This file contains no working PHP code; it exists to provide additional
 * documentation for doxygen as well as to document hooks in the standard
 * Drupal manner.
 */


/**
 * @defgroup mass_user_update Mass User Update module integrations.
 *
 * Module integrations with the Mass User Update module.
 */

/**
 * @defgroup mass_user_update_hooks Mass User Update's hooks
 * @{
 * Hooks that can be implemented by other modules in order to extend Mass User
 * Update.
 */

/**
 * Implements hook_mass_user_update_format_hanlders()
 *
 * Return a list of format handlers, keyed by file extension.
 * A format handler will be used to extract data from the imported file.
 *
 * @see mass_user_update_csv_parser()
 *
 * @return array
 *        An array of format handler callbacks, keyed by file format extension.
 */
function hook_mass_user_update_format_handlers() {
  return array(
    'csv' => 'mass_user_update_csv_parser',
  );
}

/**
 * Implements hook_mass_user_update_property_mapper().
 *
 * Return a list of user properties that the module can "map" to. This can be
 * anything as long as a module can handle it.
 *
 * The mapper will be used to either identify a user by the defined property
 * or to update the property on the user.
 *
 * @see mass_user_update_property_mapper()
 *
 * @return array
 *        A list of property mapper callbacks, keyed by the property they map to
 */
function hook_mass_user_update_property_mapper() {
  return array(
    'uid' => 'mass_user_update_property_mapper',
    'name' => 'mass_user_update_property_mapper',
    'mail' => 'mass_user_update_property_mapper'
  );
}

/**
 * Implements hook_mass_user_update_batch_operations().
 *
 * Return a list of operations that the Batch API should execute on the
 * mass user update batch.
 *
 * @see batch_set()
 *
 * @return array
 *        An array of batch operations that should be called
 */
function mass_user_update_mass_user_update_batch_operations() {
  return array('mass_user_update_batch_process');
}

/**
 * @}
 */
